namespace Knoks.Framework.Cryptography
{
    public interface IPasswordResult
    {
        string Version { get; }
        byte[] Password { get; }
        byte[] Salt { get; }

        string ToFlatString();
        bool IsIdentical(IPasswordResult other);
    }
}